
def main():
    
    print('Creating dictionary d1 = {0: [1, 2, 3], 1: [2, 4, 6], 3: [3, 6, 9]}\n')
    d1 = {0: [1, 2, 3], 1: [2, 4, 6], 3: [3, 6, 9]}
    
    # get the keys from d1
    print('print d1.keys():')
    print(d1.keys())
    print('')
    
    # if you want a list, save the result in a list
    print('key_list = list(d1.keys())')
    print('print(key_list):')
    key_list = list(d1.keys())
    print(key_list)
    print('')
    
    
    # get the values from d1
    print('print(d1.values()):')
    print(d1.values())
    print('')
    
    # if you want a list of the values, save in a list
    print('val_list = list(d1.values())')
    print('print(val_list):')
    val_list = list(d1.values())
    print(val_list)
    print('')
    
    
    # get the items from d1
    # result is a sequence of tuples
    print('item_list = list(d1.items())')
    print('print(item_list):')
    item_list = list(d1.items())
    print(item_list)
    print('')
    
    # iterating over the items in a dictionary
    print('Iterating over items in dictionary:')
    print('for key in list(d1.keys()):')
    print('    print(d1[key])')
    for key in list(d1.keys()):
        print(d1[key])
    print('')
    
    # or this
    print('Another way to iterate over items in dictionary:')
    print('for val in d1.values():')
    print('    print(val)')
    for val in d1.values():
        print(val)
    print('')
    
    # or this
    print('Yet another way to iterate over items in dictionary:')
    print('for key in d1:')
    print('    print(d1[key])')
    for key in d1:
        print(d1[key])
    print('')
    
    #or this
    print('Still one more way to iterate over items in dictionary:')
    print('for key in list(d1):')
    print('    d1[key]')
    for key in list(d1):
        print(d1[key])
    print('')
    
    # note that list(d1) returns a list of the keys
    print('list(d1) returns a list of the keys')
    print('print(list(d1))')
    print(list(d1))
    
if __name__ == '__main__':
    main()
    